### WoltLab Burning Board MySQL4.1 table structure
DROP TABLE IF EXISTS wbb1_1_board;
CREATE TABLE wbb1_1_board (
	boardID int(10) UNSIGNED NOT NULL auto_increment,
	parentID int(10) UNSIGNED NOT NULL DEFAULT 0,
	title varchar(255) NOT NULL DEFAULT '',
	description mediumtext NULL,
	allowDescriptionHtml tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	boardType tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	image varchar(255) NOT NULL DEFAULT '',
	externalURL varchar(255) NOT NULL DEFAULT '',
	time int(10) UNSIGNED NOT NULL DEFAULT 0,
	prefixes mediumtext NULL,
	prefixRequired tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	styleID int(10) UNSIGNED NOT NULL DEFAULT 0,
	enforceStyle tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	daysPrune smallint(5) UNSIGNED NOT NULL DEFAULT 0,
	sortField varchar(20) NOT NULL DEFAULT '',
	sortOrder varchar(4) NOT NULL DEFAULT '',
	isClosed tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	countUserPosts tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	isInvisible tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	showSubBoards tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	clicks int(10) UNSIGNED NOT NULL DEFAULT 0,
	threads int(10) UNSIGNED NOT NULL DEFAULT 0,
	posts int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_hidden_to_user;
CREATE TABLE wbb1_1_board_hidden_to_user (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	isDisabled tinyint(1) NOT NULL DEFAULT 0,
	PRIMARY KEY  (userID,boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_last_post;
CREATE TABLE wbb1_1_board_last_post (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	languageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY (boardID, languageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_moderator;
CREATE TABLE wbb1_1_board_moderator (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	groupID int(10) UNSIGNED NOT NULL DEFAULT 0,
	canDeleteThread tinyint(1) NOT NULL DEFAULT -1,
	canDeleteThreadCompletely tinyint(1) NOT NULL DEFAULT -1,
	canCloseThread tinyint(1) NOT NULL DEFAULT -1,
	canEnableThread tinyint(1) NOT NULL DEFAULT -1,
	canMoveThread tinyint(1) NOT NULL DEFAULT -1,
	canCopyThread tinyint(1) NOT NULL DEFAULT -1,
	canMergeThread tinyint(1) NOT NULL DEFAULT -1,
	canEditPost tinyint(1) NOT NULL DEFAULT -1,
	canDeletePost tinyint(1) NOT NULL DEFAULT -1,
	canDeletePostCompletely tinyint(1) NOT NULL DEFAULT -1,
	canClosePost tinyint(1) NOT NULL DEFAULT -1,
	canEnablePost tinyint(1) NOT NULL DEFAULT -1,
	canMovePost tinyint(1) NOT NULL DEFAULT -1,
	canCopyPost tinyint(1) NOT NULL DEFAULT -1,
	canReplyClosedThread tinyint(1) NOT NULL DEFAULT -1,
	canPinThread tinyint(1) NOT NULL DEFAULT -1,
	canStartAnnouncement tinyint(1) NOT NULL DEFAULT -1,
	KEY (userID),
	KEY (groupID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_structure;
CREATE TABLE wbb1_1_board_structure (
	parentID int(10) UNSIGNED NOT NULL DEFAULT 0,
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	position smallint(5) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (parentID,boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_subscription;
CREATE TABLE wbb1_1_board_subscription (
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	enableNotification tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	emails tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (userID,boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_to_group;
CREATE TABLE wbb1_1_board_to_group (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	groupID int(10) UNSIGNED NOT NULL DEFAULT 0,
	canViewBoard tinyint(1) NOT NULL DEFAULT -1,
	canEnterBoard tinyint(1) NOT NULL DEFAULT -1,
	canReadThread tinyint(1) NOT NULL DEFAULT -1,
	canStartThread tinyint(1) NOT NULL DEFAULT -1,
	canReplyThread tinyint(1) NOT NULL DEFAULT -1,
	canReplyOwnThread tinyint(1) NOT NULL DEFAULT -1,
	canStartThreadWithoutModeration tinyint(1) NOT NULL DEFAULT -1,
	canReplyThreadWithoutModeration tinyint(1) NOT NULL DEFAULT -1,
	canStartPoll tinyint(1) NOT NULL DEFAULT -1,
	canVotePoll tinyint(1) NOT NULL DEFAULT -1,
	canRateThread tinyint(1) NOT NULL DEFAULT -1,
	canUsePrefix tinyint(1) NOT NULL DEFAULT -1,
	canUploadAttachment tinyint(1) NOT NULL DEFAULT -1,
	canDownloadAttachment tinyint(1) NOT NULL DEFAULT -1,
	canDeleteOwnPost tinyint(1) NOT NULL DEFAULT -1,
	canEditOwnPost tinyint(1) NOT NULL DEFAULT -1,
	PRIMARY KEY  (groupID,boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_to_user;
CREATE TABLE wbb1_1_board_to_user (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	canViewBoard tinyint(1) NOT NULL DEFAULT -1,
	canEnterBoard tinyint(1) NOT NULL DEFAULT -1,
	canReadThread tinyint(1) NOT NULL DEFAULT -1,
	canStartThread tinyint(1) NOT NULL DEFAULT -1,
	canReplyThread tinyint(1) NOT NULL DEFAULT -1,
	canReplyOwnThread tinyint(1) NOT NULL DEFAULT -1,
	canStartThreadWithoutModeration tinyint(1) NOT NULL DEFAULT -1,
	canReplyThreadWithoutModeration tinyint(1) NOT NULL DEFAULT -1,
	canStartPoll tinyint(1) NOT NULL DEFAULT -1,
	canVotePoll tinyint(1) NOT NULL DEFAULT -1,
	canRateThread tinyint(1) NOT NULL DEFAULT -1,
	canUsePrefix tinyint(1) NOT NULL DEFAULT -1,
	canUploadAttachment tinyint(1) NOT NULL DEFAULT -1,
	canDownloadAttachment tinyint(1) NOT NULL DEFAULT -1,
	canDeleteOwnPost tinyint(1) NOT NULL DEFAULT -1,
	canEditOwnPost tinyint(1) NOT NULL DEFAULT -1,
	PRIMARY KEY  (userID,boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_visit;
CREATE TABLE wbb1_1_board_visit (
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	lastVisitTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (boardID,userID),
	KEY (userID,lastVisitTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post;
CREATE TABLE wbb1_1_post (
	postID int(10) UNSIGNED NOT NULL auto_increment,
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	parentPostID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	username varchar(255) NOT NULL DEFAULT '',
	subject varchar(255) NOT NULL DEFAULT '',
	message mediumtext NOT NULL,
	time int(10) UNSIGNED NOT NULL DEFAULT 0,
	isDeleted tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	everEnabled tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	isDisabled tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	isClosed tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	editor varchar(255) NOT NULL DEFAULT '',
	editorID int(10) UNSIGNED NOT NULL DEFAULT 0,
	lastEditTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	editCount mediumint(7) UNSIGNED NOT NULL DEFAULT 0,
	deleteTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	deletedBy varchar(255) NOT NULL DEFAULT '',
	deletedByID int(10) UNSIGNED NOT NULL DEFAULT 0,
	attachments mediumint(5) UNSIGNED NOT NULL DEFAULT 0,
	pollID int(10) UNSIGNED NOT NULL DEFAULT 0,
	enableSmilies tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	enableHtml tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	enableBBCodes tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	showSignature tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	ipAddress varchar(15) NOT NULL DEFAULT '',
	PRIMARY KEY  (postID),
	FULLTEXT KEY (subject,message),
	KEY (threadID, userID),
	KEY (threadID, isDeleted, isDisabled, time),
	KEY (userID),
	KEY (isDeleted),
	KEY (isDisabled),
	KEY (ipAddress),
	KEY (parentPostID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_hash;
CREATE TABLE wbb1_1_post_hash (
	postID int(10) UNSIGNED NOT NULL auto_increment,
	time int(10) UNSIGNED NOT NULL DEFAULT 0,
	messageHash varchar(40) NOT NULL DEFAULT '',
	PRIMARY KEY  (messageHash),
	KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_cache;
CREATE TABLE wbb1_1_post_cache (
	postID int(10) UNSIGNED NOT NULL DEFAULT 0,
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	messageCache mediumtext NOT NULL,
	PRIMARY KEY  (postID),
	KEY threadid (threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_report;
CREATE TABLE wbb1_1_post_report (
	reportID int(10) UNSIGNED NOT NULL auto_increment,
	postID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	report mediumtext NOT NULL,
	reportTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (reportID),
	UNIQUE KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread;
CREATE TABLE wbb1_1_thread (
	threadID int(10) UNSIGNED NOT NULL auto_increment,
	boardID int(10) UNSIGNED NOT NULL DEFAULT 0,
	languageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	prefix varchar(255) NOT NULL DEFAULT '',
	topic varchar(255) NOT NULL DEFAULT '',
	firstPostID int(10) UNSIGNED NOT NULL DEFAULT 0,
	firstPostPreview text,
	time int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	username varchar(255) NOT NULL DEFAULT '',
	lastPostTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	lastPosterID int(10) UNSIGNED NOT NULL DEFAULT 0,
	lastPoster varchar(255) NOT NULL DEFAULT '',
	replies mediumint(7) UNSIGNED NOT NULL DEFAULT 0,
	views mediumint(7) UNSIGNED NOT NULL DEFAULT 0,
	ratings smallint(5) UNSIGNED NOT NULL DEFAULT 0,
	rating mediumint(7) UNSIGNED NOT NULL DEFAULT 0,
	attachments smallint(5) UNSIGNED NOT NULL DEFAULT 0,
	polls smallint(5) UNSIGNED NOT NULL DEFAULT 0,
	isAnnouncement tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	isSticky tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	isDisabled tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	everEnabled tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
	isClosed tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	isDeleted tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	movedThreadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	deleteTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	deletedBy varchar(255) NOT NULL DEFAULT '',
	deletedByID int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY (threadID),
	KEY (firstPostID),
	KEY (movedThreadID),
	KEY (lastPostTime),
	KEY (languageID),
	KEY (boardID, isAnnouncement, isSticky, lastPostTime, isDeleted, isDisabled),
	KEY (isDeleted),
	KEY (isDisabled),
	KEY (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_similar;
CREATE TABLE wbb1_1_thread_similar (
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	similarThreadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	UNIQUE KEY (threadID, similarThreadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_announcement;
CREATE TABLE wbb1_1_thread_announcement (
	boardID int(10) UNSIGNED NOT NULL DEFAULT '0',
	threadID int(10) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (boardID,threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_rating;
CREATE TABLE wbb1_1_thread_rating (
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	rating int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	ipAddress varchar(15) NOT NULL DEFAULT '',
	KEY (threadID, userID),
	KEY (threadID, ipAddress)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_subscription;
CREATE TABLE wbb1_1_thread_subscription (
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	enableNotification tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	emails tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (userID,threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_visit;
CREATE TABLE wbb1_1_thread_visit (
	threadID int(10) UNSIGNED NOT NULL DEFAULT 0,
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	lastVisitTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (threadID,userID),
	KEY user_id (userID,lastVisitTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_user;
CREATE TABLE wbb1_1_user (
	userID int(10) UNSIGNED NOT NULL auto_increment,
	boardLastVisitTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	boardLastActivityTime int(10) UNSIGNED NOT NULL DEFAULT 0,
	posts mediumint(5) UNSIGNED NOT NULL DEFAULT 0,
	PRIMARY KEY  (userID),
	KEY (posts)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;